SQL Server 2008 サービス パック 2 をインストールするとエラー メッセージが表示される

現象

Microsoft .NET Framework 4 クライアント プロファイルのみがインストールされているコンピューターで SQL Server 2008 サービス パック 2 (SP2) に更新しようとすると、サービス パックのインストールが失敗し、次のエラー メッセージが表示されます。

SQL Server 2008 セットアップでは、.NET Framework 4.0 がインストールされている必要があります。http://www.microsoft.com/netから .NET Framework をダウンロードしてインストールし、セットアップを再実行します。

エラー メッセージは次のようになります:alternate text一時ファイル フォルダー (%temp%) にある Sqlsetup.log を調べると、次のようなエントリが表示されます。これらのコンポーネントは、コントロール パネルの[プログラムと機能]または以前のバージョンの Windows のコントロール パネルの [プログラムの追加と削除]に個別に存在します。

この問題を解決するには、SQL Server 2008 の最新のサービス パックを入手します。詳細については、次のサポート技術情報番号をクリックしてください。

968382 SQL Server 2008 の最新の Service Pack を入手する方法

この問題を回避するには、.NET Framework 4.0 のフル バージョンをインストールしてから、サービス パックのセットアップを再試行します。フル バージョンをインストールするには、「 .NET Framework 4 (Web インストーラ)」を参照してください。

高度な情報

このエラーは、SQL Server セットアップ プログラムが .NET Framework 4.0 クライアントがシステムにインストールされていることを検出し、.NET Framework 4.0 のフル バージョンでのみ存在する一部の .NET Framework 4.0 ライブラリを読み込むように CLR をリダイレクトした場合に発生します。

状態

マイクロソフトでは、この問題をこの資料の資料の資料に記載されているマイクロソフト製品の問題として確認しています。この問題は、最初に修正された Microsoft SQL Server 2008 サービス パック 3 です。

ヘルプを表示

スキルを磨く
トレーニングの探索
新機能を最初に入手
Microsoft Insider に参加する

この情報は役に立ちましたか?

フィードバックをお送りいただきありがとうございます!

フィードバックをお寄せいただき、ありがとうございます。Office サポートの担当者におつなぎいたします。

×